

local Addon = ...
local LSM = LibStub("LibSharedMedia-3.0")
if (LSM == nil) then
	return
end

-- Libraries
local STATUSBAR = LSM.MediaType.STATUSBAR

-- Paths
local Path = ([[Interface\AddOns\%s\imgs\]]):format(Addon)
local LibPath = {
	[BACKGROUND] = Path..[[Background\]],
	[STATUSBAR] = Path..[[Statusbar\]]
}

local Register = function(lib, key, data) LSM:Register(lib, key, LibPath[lib]..data) end



SharedMediaAdditionalFonts:Register("font", "Overwatch", [[Interface\Addons\SharedMedia_Ascu\fonts\koverwatch.ttf]])
SharedMediaAdditionalFonts:Register("font", "Overwatch2", [[Interface\Addons\SharedMedia_Ascu\fonts\bignoodletoo.ttf]])



-- -----
-- Ascu BigWigs Countdown Implementation 2
-- -----

local heroes = {
	"Ascu",
}
local key = "Ascu"
local pathh = "Interface\\AddOns\\SharedMedia_Ascu\\BWCountdown\\%s_%d.ogg"

for i = 1, #heroes do
	local hero = heroes[i]
	BigWigsAPI:RegisterCountdown(key:format(hero), {
		pathh:format(hero, 1),
		pathh:format(hero, 2),
		pathh:format(hero, 3),
		pathh:format(hero, 4),
		pathh:format(hero, 5),
	})
end

-- -----
-- Ascu Bar Textures
-- -----

Register(STATUSBAR, "ascuframe", "ascuframebg.tga")
Register(STATUSBAR, "ascuframe2", "ascuframebg2.tga")
Register(STATUSBAR, "ascuframe2 Burn", "ascuframebg2-burn.tga")
Register(STATUSBAR, "ascuframe2 Burn2", "ascuframebg2-burn2.tga")
Register(STATUSBAR, "ascuframe2 Burn3", "ascuframebg2-burn3.tga")
Register(STATUSBAR, "ascuframe3", "ascuframebg3.tga")
Register(STATUSBAR, "ascuframe4", "ascuframebg4.tga")
Register(STATUSBAR, "ascuframe5", "ascuframebg5.tga")
Register(STATUSBAR, "ascuframe6", "ascuframebg6.tga")

-- -----
-- Ascu Voicelines
-- -----
LSM:Register("sound", "_Ascu|cFFDA70D6beepbeep|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\beepbeep.ogg]])

-- -----
-- Custom General
-- -----
LSM:Register("sound", "_Ascu|cFFDA70D6Spike|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\Spike.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Move Bitch|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\Move Bitch.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6peep|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\peep.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6poop|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\poop.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6he|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\he.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Focus Gate|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\Focus Gate.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Gate in 5|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\gate in five.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6TauntNow|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\tauntnow.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6FexeTaunted|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\fexetaunted.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Yeahoo|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\yeahoo.ogg]])


-- -----
-- Custom 06 Painsmith Mythic
-- -----
LSM:Register("sound", "_Ascu|cFFDA70D6StackOnBalls|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\stackonballs.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6ChainsAway|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\chainsaway.ogg]])

-- -----
-- Custom 07 Guardian of the first ones Mythic
-- -----
LSM:Register("sound", "_Ascu|cFFDA70D6Bombs in 3|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\Bombs in 3.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Beam in 3|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\Beam in 3.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Purging Protocal in 5|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\Purging in 5.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Go To Stone|r", [[Interface\Addons\SharedMedia_Ascu\SoundCustom\Go To Stone.ogg]])

-- -----
-- Causese Redone
-- -----
LSM:Register("sound", "_Ascu|cFFDA70D601|r", [[Interface\Addons\SharedMedia_Ascu\sound\1.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D602|r", [[Interface\Addons\SharedMedia_Ascu\sound\2.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D603|r", [[Interface\Addons\SharedMedia_Ascu\sound\3.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D604|r", [[Interface\Addons\SharedMedia_Ascu\sound\4.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D605|r", [[Interface\Addons\SharedMedia_Ascu\sound\5.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D606|r", [[Interface\Addons\SharedMedia_Ascu\sound\6.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D607|r", [[Interface\Addons\SharedMedia_Ascu\sound\7.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D608|r", [[Interface\Addons\SharedMedia_Ascu\sound\8.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D609|r", [[Interface\Addons\SharedMedia_Ascu\sound\9.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D610|r", [[Interface\Addons\SharedMedia_Ascu\sound\10.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Add|r", [[Interface\Addons\SharedMedia_Ascu\sound\Add.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Adds|r", [[Interface\Addons\SharedMedia_Ascu\sound\Adds.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6AoE|r", [[Interface\Addons\SharedMedia_Ascu\sound\AoE.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Assist|r", [[Interface\Addons\SharedMedia_Ascu\sound\Assist.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Avoid|r", [[Interface\Addons\SharedMedia_Ascu\sound\Avoid.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Backup|r", [[Interface\Addons\SharedMedia_Ascu\sound\Backup.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Bait|r", [[Interface\Addons\SharedMedia_Ascu\sound\Bait.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Bark|r", [[Interface\Addons\SharedMedia_Ascu\sound\Bark.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Beam|r", [[Interface\Addons\SharedMedia_Ascu\sound\Beam.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Behind|r", [[Interface\Addons\SharedMedia_Ascu\sound\Behind.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Bleed|r", [[Interface\Addons\SharedMedia_Ascu\sound\Bleed.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Bloodlust|r", [[Interface\Addons\SharedMedia_Ascu\sound\Bloodlust.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Blue|r", [[Interface\Addons\SharedMedia_Ascu\sound\Blue.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6BoP|r", [[Interface\Addons\SharedMedia_Ascu\sound\BoP.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Break|r", [[Interface\Addons\SharedMedia_Ascu\sound\Break.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Buff|r", [[Interface\Addons\SharedMedia_Ascu\sound\Buff.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6CC|r", [[Interface\Addons\SharedMedia_Ascu\sound\CC.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Center|r", [[Interface\Addons\SharedMedia_Ascu\sound\Center.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Chain|r", [[Interface\Addons\SharedMedia_Ascu\sound\Chain.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Clear|r", [[Interface\Addons\SharedMedia_Ascu\sound\Clear.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Collect|r", [[Interface\Addons\SharedMedia_Ascu\sound\Collect.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Cross|r", [[Interface\Addons\SharedMedia_Ascu\sound\Cross.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Crosswave|r", [[Interface\Addons\SharedMedia_Ascu\sound\Crosswave.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Curse|r", [[Interface\Addons\SharedMedia_Ascu\sound\Curse.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Dance|r", [[Interface\Addons\SharedMedia_Ascu\sound\Dance.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Debuff|r", [[Interface\Addons\SharedMedia_Ascu\sound\Debuff.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Disease|r", [[Interface\Addons\SharedMedia_Ascu\sound\Disease.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Dispell|r", [[Interface\Addons\SharedMedia_Ascu\sound\Dispell.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Dodge|r", [[Interface\Addons\SharedMedia_Ascu\sound\Dodge.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Dont Move|r", [[Interface\Addons\SharedMedia_Ascu\sound\Dont Move.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Dot|r", [[Interface\Addons\SharedMedia_Ascu\sound\Dot.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Drop|r", [[Interface\Addons\SharedMedia_Ascu\sound\Drop.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Enter|r", [[Interface\Addons\SharedMedia_Ascu\sound\Enter.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Escort|r", [[Interface\Addons\SharedMedia_Ascu\sound\Escort.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Exit|r", [[Interface\Addons\SharedMedia_Ascu\sound\Exit.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Fire|r", [[Interface\Addons\SharedMedia_Ascu\sound\Fire.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Fixate|r", [[Interface\Addons\SharedMedia_Ascu\sound\Fixate.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Front|r", [[Interface\Addons\SharedMedia_Ascu\sound\Front.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Gate|r", [[Interface\Addons\SharedMedia_Ascu\sound\Gate.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Gather|r", [[Interface\Addons\SharedMedia_Ascu\sound\Gather.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Green|r", [[Interface\Addons\SharedMedia_Ascu\sound\Green.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Healcd|r", [[Interface\Addons\SharedMedia_Ascu\sound\Healcd.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Hide|r", [[Interface\Addons\SharedMedia_Ascu\sound\Hide.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6High Energy|r", [[Interface\Addons\SharedMedia_Ascu\sound\High Energy.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6High Stacks|r", [[Interface\Addons\SharedMedia_Ascu\sound\High Stacks.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Immunity|r", [[Interface\Addons\SharedMedia_Ascu\sound\Immunity.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6In|r", [[Interface\Addons\SharedMedia_Ascu\sound\In.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Innervate|r", [[Interface\Addons\SharedMedia_Ascu\sound\Innervate.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Invisibility|r", [[Interface\Addons\SharedMedia_Ascu\sound\Invisibility.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Intermission|r", [[Interface\Addons\SharedMedia_Ascu\sound\Intermission.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Interrupt|r", [[Interface\Addons\SharedMedia_Ascu\sound\Interrupt.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Knock|r", [[Interface\Addons\SharedMedia_Ascu\sound\Knock.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Left|r", [[Interface\Addons\SharedMedia_Ascu\sound\Left.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Linked|r", [[Interface\Addons\SharedMedia_Ascu\sound\Linked.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Magic|r", [[Interface\Addons\SharedMedia_Ascu\sound\Magic.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Melee|r", [[Interface\Addons\SharedMedia_Ascu\sound\Melee.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Moon|r", [[Interface\Addons\SharedMedia_Ascu\sound\Moon.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Move|r", [[Interface\Addons\SharedMedia_Ascu\sound\Move.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Next|r", [[Interface\Addons\SharedMedia_Ascu\sound\Next.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Orange|r", [[Interface\Addons\SharedMedia_Ascu\sound\Orange.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Orb|r", [[Interface\Addons\SharedMedia_Ascu\sound\Orb.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Out|r", [[Interface\Addons\SharedMedia_Ascu\sound\Out.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Overlap|r", [[Interface\Addons\SharedMedia_Ascu\sound\Overlap.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Phase2|r", [[Interface\Addons\SharedMedia_Ascu\sound\Phase2.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Phase3|r", [[Interface\Addons\SharedMedia_Ascu\sound\Phase3.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Physical|r", [[Interface\Addons\SharedMedia_Ascu\sound\Physical.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6PI|r", [[Interface\Addons\SharedMedia_Ascu\sound\PI.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Poison|r", [[Interface\Addons\SharedMedia_Ascu\sound\Poison.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Pots|r", [[Interface\Addons\SharedMedia_Ascu\sound\Pots.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6PS|r", [[Interface\Addons\SharedMedia_Ascu\sound\PS.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Purple|r", [[Interface\Addons\SharedMedia_Ascu\sound\Purple.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Range|r", [[Interface\Addons\SharedMedia_Ascu\sound\Range.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Ready|r", [[Interface\Addons\SharedMedia_Ascu\sound\Ready.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Red|r", [[Interface\Addons\SharedMedia_Ascu\sound\Red.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Reflect|r", [[Interface\Addons\SharedMedia_Ascu\sound\Reflect.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Right|r", [[Interface\Addons\SharedMedia_Ascu\sound\Right.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Sac|r", [[Interface\Addons\SharedMedia_Ascu\sound\Sac.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Selfcd|r", [[Interface\Addons\SharedMedia_Ascu\sound\Selfcd.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Shield|r", [[Interface\Addons\SharedMedia_Ascu\sound\Shield.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Soak|r", [[Interface\Addons\SharedMedia_Ascu\sound\Soak.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Soon|r", [[Interface\Addons\SharedMedia_Ascu\sound\Soon.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Spellsteal|r", [[Interface\Addons\SharedMedia_Ascu\sound\Spellsteal.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Split|r", [[Interface\Addons\SharedMedia_Ascu\sound\Split.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Spread|r", [[Interface\Addons\SharedMedia_Ascu\sound\Spread.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Stack|r", [[Interface\Addons\SharedMedia_Ascu\sound\Stack.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Stop|r", [[Interface\Addons\SharedMedia_Ascu\sound\Stop.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Stopcast|r", [[Interface\Addons\SharedMedia_Ascu\sound\Stopcast.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Switch|r", [[Interface\Addons\SharedMedia_Ascu\sound\Switch.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Targeted|r", [[Interface\Addons\SharedMedia_Ascu\sound\Targeted.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Taunt|r", [[Interface\Addons\SharedMedia_Ascu\sound\Taunt.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Transition|r", [[Interface\Addons\SharedMedia_Ascu\sound\Transition.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Trap|r", [[Interface\Addons\SharedMedia_Ascu\sound\Trap.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Turn|r", [[Interface\Addons\SharedMedia_Ascu\sound\Turn.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Wave|r", [[Interface\Addons\SharedMedia_Ascu\sound\Wave.ogg]])
LSM:Register("sound", "_Ascu|cFFDA70D6Yellow|r", [[Interface\Addons\SharedMedia_Ascu\sound\Yellow.ogg]])

-- -----
-- Fuck you
-- -----
